import { Request, Response } from 'express';
import UserService from '../services/user.service';

async function addAuthRoutes(app: any) {
    app.post('/login', async (req: Request, res: Response) => {
        const { username, password } = req.body;

        const userService = new UserService();
        const user = await userService.login(username, password);

        if (user) {
            return res.status(200).json(user);
        }
        return res.status(401).json({ message: 'Invalid credentials' });
    });

    app.post('/register', async (req: Request, res: Response) => {
        const { username, password } = req.body;

        const userService = new UserService();
        const user = await userService.register(username, password);

        if (user) {
            return res.status(201).json(user);
        }
        return res.status(400).json({ message: 'Failed to register user' });
    });

    console.log('[✅] Auth routes added');
}

export default { addAuthRoutes };